Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.config
Class KSMetaData

    java.lang.Object
      org.apache.cassandra.config.KSMetaData

    public final class KSMetaData

extends java.lang.Object

Field Summary
`java.util.Map<java.lang.String,CFMetaData>` | `cfMetaData`
`IEndPointSnitch` | `epSnitch`
`java.lang.String` | `name`
`int` | `replicationFactor`
`java.lang.Class<? extends AbstractReplicationStrategy>` | `repStratClass`

Method Summary
`boolean` | `equals(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final java.lang.String name

### repStratClass

    public final java.lang.Class<? extends AbstractReplicationStrategy> repStratClass

### replicationFactor

    public final int replicationFactor

### epSnitch

    public final IEndPointSnitch epSnitch

### cfMetaData

    public final java.util.Map<java.lang.String,CFMetaData> cfMetaData

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation